import { Component, OnInit, ViewChild, TemplateRef } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { buildFormGroup, addMissingNames } from './dynaform/libs';

import { formMetaDataObj } from './_mock/testfields';

@Component({
	selector: 'app-root',
	templateUrl: './app.component.html',
	styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {

	form: FormGroup;

	formMetaDataObj = formMetaDataObj;

	@ViewChild('testTemplate', { read: TemplateRef })
	private tref: TemplateRef<any>;

	constructor(
		protected fb: FormBuilder
	) {
	}

	ngOnInit() {
		const test = {a: {prop: 1}, b: {prop: 2}};
		console.log( addMissingNames(test) );
		// console.log( addMissingNames(this.formMetaDataObj) );
		const fg = buildFormGroup({
			dynaformtest: { name: 'dynaformtest', meta: this.formMetaDataObj }
		});
		console.log(fg);
		this.form = fg;
	}
}

